petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCopy

Copys a matrix to another matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCopy(Mat A,Mat B,MatStructure str)

Collective on Mat

### Input Parameters

| A | - the matrix
| str | - SAME_NONZERO_PATTERN or DIFFERENT_NONZERO_PATTERN

### Output Parameter

B -where the copy is put

### Notes

If you use SAME_NONZERO_PATTERN then the two matrices had better have the same nonzero pattern or the routine will crash.

MatCopy() copies the matrix entries of a matrix to another existing matrix (after first zeroing the second matrix). A related routine is MatConvert(), which first creates a new matrix and then copies the data.

### See Also

MatConvert(), MatDuplicate()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html